# Source code for azure.mgmt.rdbms.mariadb.models.performance_tier_properties_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class PerformanceTierProperties(Model):
        """Performance tier properties.

        :param id: ID of the performance tier.
        :type id: str
        :param service_level_objectives: Service level objectives associated with
         the performance tier
        :type service_level_objectives:
         list[~azure.mgmt.rdbms.mariadb.models.PerformanceTierServiceLevelObjectives]
        """

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'service_level_objectives': {'key': 'serviceLevelObjectives', 'type': '[PerformanceTierServiceLevelObjectives]'},
        }

        def __init__(self, *, id: str=None, service_level_objectives=None, **kwargs) -> None:
            super(PerformanceTierProperties, self).__init__(**kwargs)
            self.id = id
            self.service_level_objectives = service_level_objectives